[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LResources' (#lcl)

# TPropertiesToSkip.IndexOf

Gets the ordinal position in the list where the property type and name is stored.

## Declaration

Source position: lresources.pp line 460

`public function TPropertiesToSkip.IndexOf(`
`AInstance: TPersistent;`
`const APropertyName: string`
`):Integer; overload; function TPropertiesToSkip.IndexOf(`
`AClass: TPersistentClass;`
`APropertyName: string`
`):Integer; overload;`

## Arguments

`AInstance` |  | Property instance to locate in the list.
`APropertyName` |  | Name for the property type to locate in the list.

## Function result

Ordinal position in the list, or -1 when not found.

## Arguments

`AClass` |  | Class type for the property to located in the list.
`APropertyName` |  | Name for the property type to locate in the list.